#ifndef CUSTOMDIALOG_H
#define CUSTOMDIALOG_H
#include <QDialog>


/*圆角周边阴影特效对话框
 *对于marco窗口管理器，去除圆角周边阴影特效
*/
class CustomDialog : public QDialog
{
public :
    explicit CustomDialog(QWidget *parent = 0);
    ~CustomDialog();

protected:
    virtual void paintEvent(QPaintEvent *event) override;

private:
    bool m_isCompRun;

private:
    bool checkCompositorRunning();
};

#endif // CUSTOMDIALOG_H
